Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZGroupEvent Member List

This is the complete list of members for eZGroupEvent, including all inherited members.

$Database | eZGroupEvent |
$Date | eZGroupEvent |
$Description | eZGroupEvent |
$Duration | eZGroupEvent |
$EMailNotice | eZGroupEvent |
$EventAlarmNotice | eZGroupEvent |
$EventCategoryID | eZGroupEvent |
$EventTypeID | eZGroupEvent |
$GroupID | eZGroupEvent |
$ID | eZGroupEvent |
$IsConnected | eZGroupEvent |
$IsPrivate | eZGroupEvent |
$IsRecurring | eZGroupEvent |
$Location | eZGroupEvent |
$Name | eZGroupEvent |
$noDisplay | eZGroupEvent |
$Priority | eZGroupEvent |
$RecurDay | eZGroupEvent |
$RecurExceptions | eZGroupEvent |
$RecurFinishDate | eZGroupEvent |
$RecurForever | eZGroupEvent |
$RecurFreq | eZGroupEvent |
$RecurMonthlyType | eZGroupEvent |
$RecurMonthlyTypeInfo | eZGroupEvent |
$RecurType | eZGroupEvent |
$RepeatForever | eZGroupEvent |
$RepeatTimes | eZGroupEvent |
$RepeatUntilDate | eZGroupEvent |
$State_ | eZGroupEvent |
$Status | eZGroupEvent |
$Time | eZGroupEvent |
$URL | eZGroupEvent |
$Url | eZGroupEvent |
__construct( $id=-1, $fetch=true) | eZGroupEvent |
addFile( $value) | eZGroupEvent |
category() | eZGroupEvent |
dateTime() | eZGroupEvent |
dbInit() | eZGroupEvent |
delete() | eZGroupEvent |
deleteFile( $value) | eZGroupEvent |
description( $htmlchars=true) | eZGroupEvent |
duration() | eZGroupEvent |
eventIDFromForum( $ForumID) | eZGroupEvent |
files( $as_object=true) | eZGroupEvent |
forum( $as_object=true) | eZGroupEvent |
get( $id=-1) | eZGroupEvent |
getAll() | eZGroupEvent |
getAllByDate( $date, $showPrivate=false, $groupNoShow=true) | eZGroupEvent |
getAllByOthers() | eZGroupEvent |
getAllByType( $date, $type, $showPrivate=false, $groupNoShow=true) | eZGroupEvent |
getByDate( $date, $group, $showPrivate=false) | eZGroupEvent |
getByGroup( $group, $showPrivate=false) | eZGroupEvent |
getByGroupType( $date, $group, $type, $showPrivate=false) | eZGroupEvent |
getByType( $type, $showPrivate=false) | eZGroupEvent |
getDate() | eZGroupEvent |
groupID() | eZGroupEvent |
id() | eZGroupEvent |
isEventAlarmNotice() | eZGroupEvent |
isPrivate() | eZGroupEvent |
isRecurring() | eZGroupEvent |
location( $htmlchars=true) | eZGroupEvent |
name( $htmlchars=true) | eZGroupEvent |
noDisplay() | eZGroupEvent |
notification( $debug=false) | eZGroupEvent |
priority() | eZGroupEvent |
recurDay() | eZGroupEvent |
recurExceptions() | eZGroupEvent |
recurFreq() | eZGroupEvent |
recurMonthlyType() | eZGroupEvent |
RecurMonthlyTypeInfo() | eZGroupEvent |
recurType() | eZGroupEvent |
repeatForever() | eZGroupEvent |
repeatTimes() | eZGroupEvent |
repeatUntilDate() | eZGroupEvent |
setCategory( $category) | eZGroupEvent |
setDateTime( $dateTime) | eZGroupEvent |
setDescription( $value) | eZGroupEvent |
setDuration( $time) | eZGroupEvent |
setEventAlarmNotice( $value) | eZGroupEvent |
setFinishDateForever( $stamp='20371230235959') | eZGroupEvent |
setFinishDateNot( $not, $freq, $type, $datetime) | eZGroupEvent |
setFinishDateUntil( $UntilDate) | eZGroupEvent |
setGroup( $group) | eZGroupEvent |
setIsPrivate( $value) | eZGroupEvent |
setIsRecurring( $IsRecurring) | eZGroupEvent |
setLocation( $value) | eZGroupEvent |
setName( $value) | eZGroupEvent |
setNoDisplay($bool) | eZGroupEvent |
setPriority( $value) | eZGroupEvent |
setRecurDay( $RecurDay=false) | eZGroupEvent |
setRecurExceptions( $ex) | eZGroupEvent |
setRecurFreq( $RecurFreq) | eZGroupEvent |
setRecurMonthlyType( $RecurMonthlyType='', $date=false) | eZGroupEvent |
setRecurType( $RecurType) | eZGroupEvent |
setStatus( $value) | eZGroupEvent |
setType( $type) | eZGroupEvent |
setUrl( $value) | eZGroupEvent |
startTime() | eZGroupEvent |
status() | eZGroupEvent |
stopTime() | eZGroupEvent |
store() | eZGroupEvent |
type() | eZGroupEvent |
url( $htmlchars=true) | eZGroupEvent |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.